%global commit0 0cef12b2ced3e5e8c51526eb1f41b7c1e6bbe9a7
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%global varnishver %(pkg-config --silence-errors --modversion varnishapi || echo 0)

Name: vmod-rtstatus
Summary: Real-Time status module for Varnish
Version: 1.2.1
Release: 0.6.20220020git%{?shortcommit0}%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://github.com/varnish/libvmod-rtstatus
#Source0: https://github.com/varnish/lib#{name}/archive/#{commit0}.tar.gz#/lib#{name}-#{version}.tar.gz
Source0: https://github.com/varnish/lib%{name}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# source tarball built like this:
#  git clone https://github.com/varnish/libvmod-rtstatus.git
#  cd libvmod-rtstatus
#  git checkout 6.0-lts && git pull
#  git checkout 0cef12b2
#  sed -i 's/trunk/1.2.2/' configure.ac
#  ./autogen.sh && ./configure && make && make dist

requires: varnish = %varnishver

buildrequires: make
buildrequires: gcc
buildrequires: pkgconfig
buildrequires: python-docutils
buildrequires: varnish
buildrequires: varnish-libs-devel
buildrequires: python-simplejson

# When building from git checkout
buildrequires: autoconf
buildrequires: automake
buildrequires: libtool

%description
Real Time status page for Varnish

%prep
%autosetup -n lib%{name}-%{commit0}

%build
#export RST2MAN=/bin/true
./autogen.sh
%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}
# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make


%check
make check


%install
# Clean buildroot on older el variants
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name  '*.a' -exec rm -f {} ';'


%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%license LICENSE
%endif
%doc LICENSE README.rst COPYING 
#doc CHANGES.rst
%{_mandir}/man3/*.3*

%changelog
* Tue Sep 20 2022 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.2.1-0.6
- Fresh checkout from 6.0-lts branch
- Removed unecessary patches
- Build against varnish-6.0.10

* Thu Feb 28 2019 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.2.1-0.5.20190228git8232ede
- Build against varnish-4.1.11

* Mon Oct 23 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.2.1-0.4.20170126git0cacf28
- Build against varnish-5.2.0

* Wed Aug 30 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.2.1-0.3.20170126git0cacf28
- Build against varnish-5.1.3

* Thu Jan 26 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.2.1-0.1.20170126git0cacf28
- Updated to latest 4.1 branch
- Built against varnish-5.0.0
- Included CHANGES.rst as doc
- added patch and requirement for python-simplejson instead of json_pp for test05

* Thu Jun 23 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.4.20160623gitc02d69d
- Updated to latest 4.1 branch
- Added a patch fixing broken json in some circumstances
- Including COPYING and LICENSE as doc, as they are installed by the makefile

* Tue May 24 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.3.20160524git3fa94e7
- Updated to latest 4.1 branch

* Wed Feb 03 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.2.20160203git8b5c1bc
- Rebuilt 4.1 branch for varnish-4.1.1

* Mon Nov 02 2015 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.1.git.92d1618
- Wrapped for copr/fedora

